org.red5.server.api.stream

## Enum StreamState

- java.lang.Object
- - java.lang.Enum<StreamState>
  - - org.red5.server.api.stream.StreamState

All Implemented Interfaces:
  Serializable, Comparable<StreamState>

    public enum StreamState
    extends Enum<StreamState>

Represents all the states that a stream may be in at a requested point in time.

Author:
  Paul Gregoire (mondain@gmail.com)

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLOSED`
`END`
`INIT`
`OPEN`
`PAUSED`
`PLAYING`
`RESUMED`
`SEEK`
`STARTED`
`STOPPED`
`UNINIT`

### Method Summary

Methods
`static StreamState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StreamState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INIT

    public static final StreamState INIT

#### UNINIT

    public static final StreamState UNINIT

#### OPEN

    public static final StreamState OPEN

#### CLOSED

    public static final StreamState CLOSED

#### STARTED

    public static final StreamState STARTED

#### STOPPED

    public static final StreamState STOPPED

#### PLAYING

    public static final StreamState PLAYING

#### PAUSED

    public static final StreamState PAUSED

#### RESUMED

    public static final StreamState RESUMED

#### END

    public static final StreamState END

#### SEEK

    public static final StreamState SEEK

### Method Detail

#### values

    public static StreamState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (StreamState c : StreamState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static StreamState valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null